/**
 * This program has been developed by students from the bachelor Computer Science at
 * Utrecht University within the Software Project course.
 * © Copyright Utrecht University (Department of Information and Computing Sciences)
 */

/* istanbul ignore file */
/* The comment above was added so the code coverage wouldn't count this file towards code coverage.
 * We do not test mock data.
 * See testing plan for more details.*/

export const marieBoucherSample = {
  edges: [
    {
      from: 'merchant/0',
      to: 'merchant/1',
      _id: 'transaction/1',
      attributes: {
        time: 1802,
      },
    },
    {
      from: 'merchant/0',
      to: 'merchant/2',
      _id: 'transaction/2',
      attributes: {
        time: 1802,
      },
    },
    {
      from: 'merchant/0',
      to: 'merchant/3',
      _id: 'transaction/3',
      attributes: {
        time: 1802,
      },
    },
    {
      from: 'merchant/0',
      to: 'merchant/4',
      _id: 'transaction/4',
      attributes: {
        time: 1802,
      },
    },
    {
      from: 'merchant/4',
      to: 'merchant/5',
      _id: 'transaction/5',
      attributes: {
        time: 1802,
      },
    },
    {
      from: 'merchant/5',
      to: 'merchant/6',
      _id: 'transaction/6',
      attributes: {
        time: 1802,
      },
    },
    {
      from: 'merchant/5',
      to: 'merchant/7',
      _id: 'transaction/7',
      attributes: {
        time: 1802,
      },
    },
    {
      //---------------------------------------------------------------------------------
      from: 'merchant/0',
      to: 'merchant/1',
      _id: 'transaction/8',
      attributes: {
        time: 1803,
      },
    },
    {
      from: 'merchant/0',
      to: 'merchant/3',
      _id: 'transaction/9',
      attributes: {
        time: 1803,
      },
    },
    {
      from: 'merchant/0',
      to: 'merchant/4',
      _id: 'transaction/12',
      attributes: {
        time: 1803,
      },
    },
    {
      from: 'merchant/0',
      to: 'merchant/5',
      _id: 'transaction/13',
      attributes: {
        time: 1803,
      },
    },
    //---------------------------------------------------------------------------------
    {
      from: 'merchant/0',
      to: 'merchant/6',
      _id: 'transaction/19',
      attributes: {
        time: 1803,
      },
    },
    {
      //---------------------------------------------------------------------------------
      from: 'merchant/0',
      to: 'merchant/5',
      _id: 'transaction/20',
      attributes: {
        time: 1803,
      },
    },
    {
      from: 'merchant/0',
      to: 'merchant/7',
      _id: 'transaction/21',
      attributes: {
        time: 1803,
      },
    },
    {
      from: 'merchant/0',
      to: 'merchant/8',
      _id: 'transaction/22',
      attributes: {
        time: 1803,
      },
    },
    {
      from: 'merchant/0',
      to: 'merchant/9',
      _id: 'transaction/23',
      attributes: {
        time: 1803,
      },
    },
    {
      from: 'merchant/11',
      to: 'merchant/12',
      _id: 'transaction/25',
      attributes: {
        time: 1803,
      },
    },
    //---------------------------------------------------------------------------------
    //---------------------------------------------------------------------------------

    {
      from: 'merchant/9',
      to: 'merchant/10',
      _id: 'transaction/28',
      attributes: {
        time: 1803,
      },
    },

    //---------------------------------------------------------------------------------

    {
      from: 'merchant/0',
      to: 'merchant/1',
      _id: 'transaction/29',
      attributes: {
        time: 1801,
      },
    },
    {
      from: 'merchant/0',
      to: 'merchant/2',
      _id: 'transaction/30',
      attributes: {
        time: 1801,
      },
    },
    {
      from: 'merchant/5',
      to: 'merchant/6',
      _id: 'transaction/31',
      attributes: {
        time: 1801,
      },
    },
    {
      from: 'merchant/5',
      to: 'merchant/7',
      _id: 'transaction/32',
      attributes: {
        time: 1801,
      },
    },
    {
      from: 'merchant/3',
      to: 'merchant/4',
      _id: 'transaction/33',
      attributes: {
        time: 1801,
      },
    },
    //---------------------------------------------------------------------------------
  ],
  nodes: [
    {
      _id: 'merchant/0',
      label: 'Elise',
      attributes: {
        name: 'Elise',
        data: [1801, 1802, 1803, 1804],
        community: 'Legrand',
      },
    },
    {
      _id: 'merchant/1',
      label: 'Jacques',
      attributes: {
        name: 'Jacques',
        data: [1801, 1802, 1803],
        community: 'Legrand',
      },
    },
    {
      _id: 'merchant/2',
      label: 'Hubert',
      attributes: {
        name: 'Hubert',
        data: [1803, 1804, 1802, 1801],
        community: 'Dupont',
      },
    },
    {
      _id: 'merchant/3',
      label: 'Roze',
      attributes: {
        name: 'Roze',
        data: [1804, 1802, 1803],
        community: 'Legrand',
      },
    },

    {
      _id: 'merchant/4',
      label: 'Vallet',
      attributes: {
        name: 'Vallet',
        data: [1804, 1802, 1803],
      },
    },
    {
      _id: 'merchant/5',
      label: 'John',
      attributes: {
        name: 'John',
        data: [1804, 1803, 1801, 1802],
        community: 'Legrand',
      },
    },
    {
      _id: 'merchant/6',
      label: 'Joseph',
      attributes: {
        name: 'Joseph',
        data: [1804, 1803, 1801, 1802],
        community: 'Dupont',
      },
    },
    {
      _id: 'merchant/7',
      label: 'Antoine',
      attributes: {
        name: 'Antoine',
        data: [1804, 1803, 1801, 1802],
      },
    },
    {
      _id: 'merchant/8',
      label: 'Philippe',
      attributes: {
        name: 'Philippe',
        data: [1804, 1803],
        community: 'Dupont',
      },
    },
    {
      _id: 'merchant/9',
      label: 'Claude',
      attributes: {
        name: 'Claude',
        data: [1804, 1803],
        community: 'Dupont',
      },
    },
    {
      _id: 'merchant/10',
      label: 'Guillaume',
      attributes: {
        name: 'Guillaume',
        data: [1804, 1803],
      },
    },
    {
      _id: 'merchant/11',
      label: 'Madeleine',
      attributes: {
        name: 'Madeleine',
        data: [1803, 1804],
      },
    },
    {
      _id: 'merchant/12',
      label: 'Renexent',
      attributes: {
        name: 'Renexent',
        data: [1803, 1804],
      },
    },
  ],
};
