import React from 'react';
import { querybuilderSlice, setQuerybuilderGraph, setSchema, store } from '@graphpolaris/shared/lib/data-access/store';

import { configureStore } from '@reduxjs/toolkit';
import { Meta } from '@storybook/react';
import { Provider } from 'react-redux';
import QueryBuilder from '../QueryBuilder';
import { QueryElementTypes, QueryMultiGraphology } from '../../model';

const Component: Meta<typeof QueryBuilder> = {
  component: QueryBuilder,
  title: 'QueryBuilder/Panel/SingleEntity',
  decorators: [
    (story) => (
      <Provider store={store}>
        <div
          style={{
            width: '100%',
            height: '95vh',
          }}
        >
          {story()}
        </div>
      </Provider>
    ),
  ],
};

export const SingleEntity = {
  args: {},
  play: async () => {
    const graph = new QueryMultiGraphology();
    graph.addPill2Graphology({
      type: QueryElementTypes.Entity,
      x: 100,
      y: 100,
      name: 'Entity Pill',
    });
    store.dispatch(setQuerybuilderGraph(graph.export()));
  },
};

export default Component;
